/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/08/08
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/ 

/*
 *@Note
 模拟自定义USB HID设备：
 OTG_FS_DM(PA11)、OTG_FS_DP(PA12)，端点1，端点2数据下传后取反上传
 注：本例程需与上位机软件配合演示，可以使用BusHound或者HID数据收发工具等其它可以进行usb设备数据收发的工具。
 
*/

#include "debug.h"
#include "ch32f20x_usbotg_device.h"

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
	Delay_Init();
	USART_Printf_Init(115200);
	printf("SystemClk:%d\r\n",SystemCoreClock);

    /* USBOTG_FS device init */
	printf( "CompatibilityHID Running On USBOTG_FS Controller\n" );
	Delay_Ms(10);
	USBOTG_Init( );

	while(1)
	{ }
}






